/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * このファイルはBlancoValueObjectにより自動生成されました。
 */
package blanco.batchprocess.valueobject;

import java.util.ArrayList;

/**
 * BlancoBatchProcessのなかで利用されるValueObjectです。
 */
public class BlancoBatchProcessStructure {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * メッセージ定義IDを指定します。必須項目です。
     */
    private String fName;

    /**
     * フィールド [package]
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     */
    private String fPackage;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * メッセージ定義の説明を記載します。
     */
    private String fDescription;

    /**
     * フィールド [suffix]
     *
     * 項目の型 [java.lang.String]<br>
     * クラス名の後方に付与されるサフィックス。
     */
    private String fSuffix;

    /**
     * フィールド [inputItemList]
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * フィールドを保持するリスト。
     */
    private ArrayList fInputItemList = new ArrayList();

    /**
     * フィールド [output]
     *
     * 項目の型 [blanco.batchprocess.valueobject.BlancoBatchProcessOutputStructure]<br>
     * 戻り値を記憶するフィールド。
     */
    private BlancoBatchProcessOutputStructure fOutput;

    /**
     * フィールド [showMessageBeginEnd]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * バッチの開始・終了メッセージを表示するかどうか。blancoBatchProcess単体で利用する場合にはtrueを設定します。他プロダクトへの組み込み時はfalseを設定します。
     */
    private boolean fShowMessageBeginEnd = true;

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メッセージ定義IDを指定します。必須項目です。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メッセージ定義IDを指定します。必須項目です。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [package]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     *
     * @param argPackage フィールド[package]に格納したい値
     */
    public void setPackage(final String argPackage) {
        fPackage = argPackage;
    }

    /**
     * フィールド[package]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     *
     * @return フィールド[package]に格納されている値
     */
    public String getPackage() {
        return fPackage;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メッセージ定義の説明を記載します。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メッセージ定義の説明を記載します。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [suffix]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * クラス名の後方に付与されるサフィックス。
     *
     * @param argSuffix フィールド[suffix]に格納したい値
     */
    public void setSuffix(final String argSuffix) {
        fSuffix = argSuffix;
    }

    /**
     * フィールド[suffix]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * クラス名の後方に付与されるサフィックス。
     *
     * @return フィールド[suffix]に格納されている値
     */
    public String getSuffix() {
        return fSuffix;
    }

    /**
     * フィールド [inputItemList]のセッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * フィールドを保持するリスト。
     *
     * @param argInputItemList フィールド[inputItemList]に格納したい値
     */
    public void setInputItemList(final ArrayList argInputItemList) {
        fInputItemList = argInputItemList;
    }

    /**
     * フィールド[inputItemList]のゲッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * フィールドを保持するリスト。
     *
     * @return フィールド[inputItemList]に格納されている値
     */
    public ArrayList getInputItemList() {
        return fInputItemList;
    }

    /**
     * フィールド [output]のセッターメソッド
     *
     * 項目の型 [blanco.batchprocess.valueobject.BlancoBatchProcessOutputStructure]<br>
     * 戻り値を記憶するフィールド。
     *
     * @param argOutput フィールド[output]に格納したい値
     */
    public void setOutput(final BlancoBatchProcessOutputStructure argOutput) {
        fOutput = argOutput;
    }

    /**
     * フィールド[output]のゲッターメソッド
     *
     * 項目の型 [blanco.batchprocess.valueobject.BlancoBatchProcessOutputStructure]<br>
     * 戻り値を記憶するフィールド。
     *
     * @return フィールド[output]に格納されている値
     */
    public BlancoBatchProcessOutputStructure getOutput() {
        return fOutput;
    }

    /**
     * フィールド [showMessageBeginEnd]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * バッチの開始・終了メッセージを表示するかどうか。blancoBatchProcess単体で利用する場合にはtrueを設定します。他プロダクトへの組み込み時はfalseを設定します。
     *
     * @param argShowMessageBeginEnd フィールド[showMessageBeginEnd]に格納したい値
     */
    public void setShowMessageBeginEnd(final boolean argShowMessageBeginEnd) {
        fShowMessageBeginEnd = argShowMessageBeginEnd;
    }

    /**
     * フィールド[showMessageBeginEnd]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * バッチの開始・終了メッセージを表示するかどうか。blancoBatchProcess単体で利用する場合にはtrueを設定します。他プロダクトへの組み込み時はfalseを設定します。
     *
     * @return フィールド[showMessageBeginEnd]に格納されている値
     */
    public boolean getShowMessageBeginEnd() {
        return fShowMessageBeginEnd;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.batchprocess.valueobject.BlancoBatchProcessStructure[");
        buf.append("name=" + fName);
        buf.append(",package=" + fPackage);
        buf.append(",description=" + fDescription);
        buf.append(",suffix=" + fSuffix);
        buf.append(",inputItemList=" + fInputItemList);
        buf.append(",output=" + fOutput);
        buf.append(",showMessageBeginEnd=" + fShowMessageBeginEnd);
        buf.append("]");
        return buf.toString();
    }
}
